Limerence
Dashboards

Create Dashboard

Create a new owner-private dashboard with a pre-seeded root file. Builder chat sessions are created lazily on first message.

POST
/dashboards

Create a new owner-private dashboard with a pre-seeded root file. Builder chat sessions are created lazily on first message.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/dashboards" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "spaceId": "string"  }'
{  "archivedAt": null,  "createdAt": "string",  "createdByUserId": "string",  "description": null,  "id": "string",  "name": "string",  "sources": [    {      "createdAt": "string",      "dashboardId": "string",      "dataSourceId": "string",      "dataSourceName": "string",      "unavailableAt": null,      "updatedAt": "string"    }  ],  "space": {    "id": "string",    "name": "string"  },  "spaceId": "string",  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}